//---------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop

#include "Unit4.h"
#include "math.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma link "TeeComma"
#pragma link "TeePoin3"
#pragma link "TeeSurfa"
#pragma resource "*.dfm"
TForm4 *Form4;
//---------------------------------------------------------------------------
__fastcall TForm4::TForm4(TComponent* Owner)
  : TForm(Owner)
{
}
//---------------------------------------------------------------------------

void __fastcall TForm4::FormCreate(TObject *Sender)
{
  Series1->FillSampleValues (20);
  Series1->SeriesColor = clRed;
  Series1->LinePen->Color = clRed;
  // Series1->ColorEachPoint  = true;

  Series2->FillSampleValues (20);
  Series2->SeriesColor = clBlue;
  Series2->LinePen->Color = clBlue;
  // Series2->ColorEachPoint  = true;

  Series3->FillSampleValues (20);
}
//---------------------------------------------------------------------------

void __fastcall TForm4::Chart1AfterDraw(TObject *Sender)
{
  Chart1->Canvas->Pen->Width = 2;
  Chart1->Canvas->Pen->Color = clYellow;
  Series1->StartZ = Chart1->DepthAxis->CalcYPosValue(Series1->MinZValue());
  Series1->EndZ = Chart1->DepthAxis->CalcYPosValue(Series1->MaxZValue());

  Chart1->Canvas->MoveTo3D(
    Chart1->ChartXCenter, Chart1->ChartYCenter,Series1->StartZ);
  Chart1->Canvas->LineTo3D(
    Chart1->ChartXCenter, Chart1->ChartYCenter,Series1->EndZ);

  int MidZ =  floor(((Series1->EndZ+Series1->StartZ) / 2.0) + .5);
  Chart1->Canvas->Pen->Color = clAqua;
  Chart1->Canvas->MoveTo3D(
    Chart1->ChartBounds.Left, Chart1->ChartYCenter,MidZ);
  Chart1->Canvas->LineTo3D(
    Chart1->ChartBounds.Right, Chart1->ChartYCenter,MidZ);

  Chart1->Canvas->Pen->Color = clLime;
  Chart1->Canvas->MoveTo3D(
    Chart1->ChartXCenter, Chart1->ChartBounds.Top,MidZ);
  Chart1->Canvas->LineTo3D(
    Chart1->ChartXCenter, Chart1->ChartBounds.Bottom,MidZ);
}
//---------------------------------------------------------------------------
void __fastcall TForm4::CheckBox1Click(TObject *Sender)
{
  Chart1->AxisVisible = CheckBox1->Checked;
  Chart1->View3DWalls = !CheckBox1->Checked;
  if (CheckBox1->Checked)
    Chart1->BackWall->Brush->Style = bsClear;
  else
    Chart1->BackWall->Brush->Style = bsSolid;
  Chart1->BackWall->Pen->Visible = !CheckBox1->Checked;
}
//---------------------------------------------------------------------------
