//---------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop

#include "stdlib.h"
#include "Unit1.h"
#include "math.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma link "TeeComma"
#pragma link "TeeSurfa"
#pragma link "TeCanvas"

#pragma resource "*.dfm"
TForm1 *Form1;
//---------------------------------------------------------------------------
__fastcall TForm1::TForm1(TComponent* Owner)
  : TForm(Owner)
{
}
//---------------------------------------------------------------------------

void __fastcall TForm1::FormCreate(TObject *Sender)
{
  for(int x=1; x<20; x++)
    for (int z=1; z<20; z++)
       Series1->AddXYZ(x,1000*(100+exp(sin(x*z*M_PI/180.0))),z,"",clTeeColor);

    Series1->FillGridIndex();
    Series1->ValueColor[Series1->GridIndex[11][8]]=clNone;
    Series1->ValueColor[Series1->GridIndex[12][8]]=clNone;
    Series1->ValueColor[Series1->GridIndex[11][10]]=clNone;
    Series1->ValueColor[Series1->GridIndex[12][10]]=clNone;

  Chart1->ClipPoints = false;
}
//---------------------------------------------------------------------------

void __fastcall TForm1::Chart1BeforeDrawSeries(TObject *Sender)
{
  Chart1->Canvas->Pen->Color=clRed;
  Chart1->Canvas->VertLine3D(
        Series1->CalcXPosValue(11.5),
        Chart1->ChartRect.Top,
        Chart1->ChartRect.Bottom,
        Chart1->DepthAxis->CalcPosValue(9));

}
//---------------------------------------------------------------------------

void __fastcall TForm1::Chart1AfterDraw(TObject *Sender)
{
  Chart1->Canvas->Pen->Color=clWhite;
  Chart1->Canvas->VertLine3D(
        Series1->CalcXPosValue(11.5),
        Chart1->ChartRect.Top,
        Chart1->ChartRect.Top-100,
        Chart1->DepthAxis->CalcPosValue(9));
}
//---------------------------------------------------------------------------

